/*
    trace.c: trace implementation
    Copyleft by SATOH Fumiyasu <fumiya@cij.co.jp>
*/

#include <stdio.h>

#include "trace.h"

FILE	*trace_file = stderr;
int	trace_level = 0;
char	*trace_module = "unset";


/* output trace message */
#ifdef __STDC__
void trace_Print(const char *fmt, /* [arg,] */ ...)
#else
void trace_Print(va_alist)
va_dcl
#endif
{
    va_list	vargs;

#ifdef __STDC__
    va_start(vargs, fmt);
#else
    char	*fmt;

    va_start(vargs);
    fmt = va_arg(vargs, char *);
#endif

    (void)vfprintf(trace_file, fmt, vargs);
    va_end(vargs);
    fflush(stderr);
}

